\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Polyline Simplification

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Classes | Public Types | Public Member Functions | Public Attributes
CGAL::Polyline_simplification_2::Polyline_simplification_2< PCT, CostFunction, StopFunction > Class Template Reference

`#include <CGAL/Polyline_simplification_2/simplify.h>`

## Classes
struct | Compare_cost
struct | Id_map

## Public Types
typedef PCT::Point | Point
typedef PCT::Constraint_id | Constraint_id
typedef PCT::Constraint_iterator | Constraint_iterator
typedef PCT::Vertices_in_constraint_iterator | Vertices_in_constraint_iterator
typedef PCT::Vertex_handle | Vertex_handle
typedef PCT::Vertex_circulator | Vertex_circulator
typedef PCT::Geom_traits::FT | FT
typedef CGAL::Modifiable_priority_queue < Vertices_in_constraint_iterator, Compare_cost, Id_map > | MPQ

## Public Member Functions
| Polyline_simplification_2 (PCT &pct, CostFunction cost, StopFunction stop)
| Polyline_simplification_2 (PCT &pct, Constraint_id cid, CostFunction cost, StopFunction stop)
| ~Polyline_simplification_2 ()
void | initialize_unremovable ()
int | initialize_costs (Constraint_id cid)
void | initialize_costs ()
bool | is_removable (Vertices_in_constraint_iterator it)
int | initialize_indices (Constraint_id cid, int id=0)
int | initialize_indices ()
bool | operator() ()
std::size_t | number_of_removed_vertices () const

## Public Attributes
PCT & | pct
CostFunction | cost
StopFunction | stop
std::size_t | pct_initial_number_of_vertices
std::size_t | number_of_unremovable_vertices
MPQ * | mpq